package com.brilliance.isc.funds.fttpcm.register.doc;

import com.brilliance.isc.common.component.PtsptaToolComponent;
import com.brilliance.isc.common.register.document.IDocumentRegister;
import com.brilliance.isc.common.register.document.common.*;
import com.brilliance.isc.common.trndoc.service.TrndocService;
import com.brilliance.isc.common.trndoc.vo.TrndocVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.brilliance.isc.funds.common.component.FtToolComponent;
import com.brilliance.isc.vo.funds.FtdBizInfoVo;
import com.brilliance.mda.runtime.mda.util.MdaUtils;import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import javax.annotation.Resource;

@Component("fttpcm.documentRegister")
public class FttpcmDocumentRegister  implements IDocumentRegister {
    @Autowired
    TrndocService trndocService;
    @Resource
    PtsptaToolComponent ptsptaToolComponent;
    @Autowired
    private SetmodDocumentRegister setmodDocumentRegister;
    @Autowired
    private SetglgDocumentRegister2 setglgDocumentRegister;

    @Override
    public void registerDocument(TrndocVo trndoc) {
        doRegister(trndoc);
        setglgDocumentRegister.registerDocument(trndoc);
    }
    public void doRegister(TrndocVo trndoc) {
       FtdBizInfoVo rec = (FtdBizInfoVo) trndoc.getRec();
       PtsptaVo troPtspta = ptsptaToolComponent.getPtsFromListByRol(trndoc.getPtsptas(), "TRO");
       if (MdaUtils.compareTo(rec.getMsgtyp(), "199") == 0){
           trndocService.defDocEot ( trndoc, "TRN", "199", "\\FTT199L1", "LET", 0, troPtspta.getPts().getPtainr(),
                                        "\\FTDGRP\\REC", "MT 199", "TRO", "" );
           trndocService.setDocSendFormat(trndoc, "TRN199", "SWT", "MT199");
       }

    }
}
